package com.tencent.mm.plugin.websearch.api;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ai.f;
import com.tencent.mm.ai.m;
import com.tencent.mm.g.a.vl;
import com.tencent.mm.kernel.g;
import com.tencent.mm.plugin.websearch.api.ac.a;
import com.tencent.mm.protocal.protobuf.cvg;
import com.tencent.mm.protocal.protobuf.cvh;
import com.tencent.mm.sdk.platformtools.ab;

class ac$1 implements f {
    ac$1() {
    }

    public final void onSceneEnd(int i, int i2, String str, m mVar) {
        AppMethodBeat.i(124152);
        ab.i("MicroMsg.WebSearch.WebSearchConfigLogic", "errType %d | errCode %d | errMsg %s", new Object[]{Integer.valueOf(i), Integer.valueOf(i2), str});
        if (mVar instanceof u) {
            g.Rg().b(1948, ac.cwv());
            vl vlVar = new vl();
            if (i == 0 && i2 == 0) {
                u uVar = (u) mVar;
                cvh cvh = uVar.tZS;
                cvg cvg = uVar.tZR;
                ab.i("MicroMsg.WebSearch.WebSearchConfigLogic", "getWebSearchConfig onSceneEnd %s", new Object[]{cvh.vOy});
                if (ac.gU(cvg.luQ, cvh.vOy) == a.uat) {
                    vlVar.cSv.result = 0;
                } else {
                    vlVar.cSv.result = -1;
                }
            } else {
                vlVar.cSv.result = -1;
            }
            com.tencent.mm.sdk.b.a.xxA.m(vlVar);
        }
        AppMethodBeat.o(124152);
    }
}
